Project

General

Profile

Actions

Tracker #32684

open

Ruby 3.0 support

Added by Ewoud Kohl van Wijngaarden almost 3 years ago. Updated over 1 year ago.

Status:
New
Priority:
Normal
Category:
-
Target version:
-
% Done:

75%

Difficulty:
Triaged:
No
Fixed in Releases:
Found in Releases:

Description

This is a tracker to add Ruby 3 support to Foreman. New bugs should be filed against this as blockers.


Subtasks 8 (2 open6 closed)

Bug #32688: app/models/concerns/has_many_common.rb is incompatible with Ruby 3DuplicateActions
Refactor #34570: SettingPresenter - pass kwarks in Ruby 3 compatible formatClosedOndřej EzrActions
Bug #35300: Incorrect method signatures with keyword argumentsClosedEwoud Kohl van WijngaardenActions
Refactor #35430: Update as_deprecation_tracker to at least 1.6 for Ruby 3ClosedEwoud Kohl van WijngaardenActions
Feature #35448: Update roadie-rails to version 3 for Ruby 3 supportClosedEwoud Kohl van WijngaardenActions
Bug #35462: Depend on RSS gem for Ruby 3ClosedEwoud Kohl van WijngaardenActions
Bug #35463: Allow rdoc 6.4 on Ruby 3.1Ready For TestingEwoud Kohl van WijngaardenActions
Feature #35465: Update safemode to a Ruby 3 compatible versionNewActions

Related issues 3 (1 open2 closed)

Blocked by Foreman - Feature #32685: Update graphql gem to at least 1.12ClosedEvgeni GolovActions
Blocked by Foreman - Feature #32686: Update fog-google to a Ruby 3 compatible versionClosedEvgeni GolovActions
Blocks Foreman - Tracker #34647: Rails 7.0 TrackerNewEwoud Kohl van Wijngaarden

Actions
Actions #1

Updated by Ewoud Kohl van Wijngaarden almost 3 years ago

  • Blocked by Feature #32685: Update graphql gem to at least 1.12 added
Actions #2

Updated by The Foreman Bot almost 3 years ago

  • Status changed from New to Ready For Testing
  • Assignee set to Ewoud Kohl van Wijngaarden
Actions #3

Updated by Ewoud Kohl van Wijngaarden almost 3 years ago

  • Status changed from Ready For Testing to New
  • Assignee deleted (Ewoud Kohl van Wijngaarden)
Actions #4

Updated by Ewoud Kohl van Wijngaarden almost 3 years ago

  • Related to Feature #32686: Update fog-google to a Ruby 3 compatible version added
Actions #5

Updated by Ewoud Kohl van Wijngaarden almost 3 years ago

  • Blocked by Bug #32688: app/models/concerns/has_many_common.rb is incompatible with Ruby 3 added
Actions #6

Updated by Ewoud Kohl van Wijngaarden almost 3 years ago

  • Related to deleted (Feature #32686: Update fog-google to a Ruby 3 compatible version)
Actions #7

Updated by Ewoud Kohl van Wijngaarden almost 3 years ago

  • Blocked by Feature #32686: Update fog-google to a Ruby 3 compatible version added
Actions #8

Updated by Ewoud Kohl van Wijngaarden over 1 year ago

  • Assignee set to Ewoud Kohl van Wijngaarden
Actions #9

Updated by Ewoud Kohl van Wijngaarden over 1 year ago

Actions #10

Updated by Ewoud Kohl van Wijngaarden over 1 year ago

Actions #11

Updated by Ewoud Kohl van Wijngaarden over 1 year ago

Actions #12

Updated by Ewoud Kohl van Wijngaarden over 1 year ago

  • Subject changed from Ruby 3 support to Ruby 3.0 support
Actions

Also available in: Atom PDF